package com.chelvc.cloud.vehicle.server.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.api.param.NearbyQueryParam;
import com.chelvc.cloud.vehicle.api.param.PointQueryParam;
import com.chelvc.cloud.vehicle.server.dao.MerchantMapper;
import com.chelvc.cloud.vehicle.server.entity.Merchant;
import com.chelvc.cloud.vehicle.server.service.MerchantService;
import lombok.NonNull;
import org.apache.dubbo.config.annotation.DubboService;

/**
 * 商家业务操作实现
 *
 * @author Woody
 * @date 2023/5/2
 */
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.MerchantService.class)
public class MerchantServiceImpl extends ServiceImpl<MerchantMapper, Merchant> implements MerchantService,
        com.chelvc.cloud.vehicle.api.service.MerchantService {
    @Override
    public List<MerchantDTO> listRecommendMerchants(@NonNull PointQueryParam param, int size) {
        return this.baseMapper.listRecommendMerchants(param, size);
    }

    @Override
    public List<MerchantDTO> listNearbyMerchants(@NonNull NearbyQueryParam param, int size) {
        return this.baseMapper.listNearbyMerchants(param, size);
    }
}
